Skip to main content
GET
/
api
/
public
/
v1
/
insurances
cURL
curl --request GET \
  --url https://api.boxpilote.fr/api/public/v1/insurances \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "vat_id": "<string>",
      "amount_ht": 123,
      "reference": "<string>",
      "insured_amount": 123,
      "title": "<string>",
      "quantity": 123,
      "unit": "<string>",
      "accounting_code": "<string>",
      "item_type": "<string>",
      "type": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1

Page number (default: 1)

Required range: x >= 1
limit
integer
default:20

Items per page (default: 20, max: 100)

Required range: 1 <= x <= 100

Response

List of insurances with pagination

data
object[]
pagination
object